/* IMPORT */
/* I'm importing the fonts in the themes.css so that i wont have to add the link href stuff in every html page. WIll it work? Idk, lets see */

@import url('https://fonts.googleapis.com/css2?family=Iosevka+Charon+Mono:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&family=Jersey+20&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

/* UPDATE: it works! (somehow) */

/* OLD VARIABLES (for reference)
    light
    --accent: #85e0e0;
    --bg1: #1f7a7a;
    --bg2: #005555;
    --accent2: white;
    --accent3: black;
    --bgmain: url("../assets/backgrounds/bglight.png");
    --bgcolor: #85e0e0;
    --shadow: #005555 0px 7px;
    --font: 'Iosevka Charon Mono';

    neon
    --accent: #66ccff;
    --bg1: #002233;
    --bg2: #00111a;
    --accent2: white;
    --accent3: #e6f7ff;
    --bgmain: url("../assets/bgdark.png");
    --bgcolor: #000000;
    --shadow: #66ccff 3px 3px;
    --font: 'Jersey 10';

    creamy
    --accent: #b3ffd9;
    --bg1: #b5b79a;
    --bg2: #252d1a;
    --accent2: #252d1a;
    --accent3: #525d42;
    --bgmain: url("../assets/bgcreamy.png");
    --bgcolor: #b5b79a;
    --shadow: #252d1a 0px 5px;
    --font: 'Playfair Display';
*/

/* VARIABLES */

/* LIGHT */

:root {
    --accent: #85e0e0;
    --bgbox: #1f7a7a;
    --bghover: #005555;
    --text-main: white;
    --border: black;

    --bgpage: url("../assets/backgrounds/bglight.png");
    --bgmobile: #85e0e0;
    --box-texture: none;

    --shadow: #005555 0px 7px;
    --font: 'Iosevka Charon Mono';
    --font-size: 16px;
    --radius: 0;

    /* Footer stuff */
    --footer-bg: #005555;
    --footer-text: white;
}

:root:has(#neon:checked) {
    --accent: #66ccff;
    --bgbox: #002233;
    --bghover: #00111a;
    --text-main: white;
    --border: #e6f7ff;

    --bgpage: url("../assets/backgrounds/bgdark.png");
    --bgmobile: #000000;
    --box-texture: none;

    --shadow: #ffdb4d 5px 5px;
    --font: 'Jersey 20';
    --font-size: 18px;
    --radius: 0;

    /* Footer stuff */
    --footer-bg: #00111a;
    --footer-text: white;
}

:root:has(#creamy:checked) {
    --accent: #e8c9c9;
    --bgbox: #a5a87c;
    --bghover: #748160;
    --text-main: #021701;
    --border: #021701;

    --bgpage: url("../assets/backgrounds/bgcreamy.png");
    --bgmobile: #c4c6a9;
    --box-texture: url("../assets/wood-texture.png");

    --shadow: #662e1c 0 7px;
    --font: 'Playfair Display';
    --font-size: 18px;
    --radius: 10px;

    /* Footer stuff */
    --footer-bg: #021701;
    --footer-text: white;
}

/* FUIVNUFJWFNKQDIMWEFILFIWFWEIFMWEIKFMWIGFJIGMIGGGM (i made the index.html base and the main.css AND themes.css AND INDEX.CSS in one evening. It's 22:05 now. God help me.) -Toad at 3rd of June 2026*/